Package org.springframework.aot.hint

# Class MemberHint

java.lang.Object
org.springframework.aot.hint.MemberHint

Direct Known Subclasses:
  `ExecutableHint`, `FieldHint`

public abstract class MemberHint extends Object
Base hint that describes the need for reflection on a `Member`.

Since:
  6.0
Author:
  Stephane Nicoll

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MemberHint(String name)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Return the name of the member.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MemberHint

protected MemberHint(String name)

## Method Details

### getName

public String getName()
Return the name of the member.

Returns:
  the name